

package gov.va.med.cds.monitor;


public interface CdsReadMethodMetricsInterface
    extends
        MethodMetricsInterface
{

    long getCdsReadTransactions( );


    long getCdsReadElapsedTime( );


    double getCdsReadTransactionsPerSecond( );


    double getCdsReadAverageElapsedTime( );


    long getCdsReadMaxElapsedTime( );


    long getCdsReadMinElapsedTime( );

}
